Bug 86133 - Ethernet Interface (eth2) replies on arp request also with the ip address of a second board (eth1)
Ethernet Interface (eth2) replies on arp request also with the ip address of ...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-14 12:05 EST by Christian Stelter
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stelter 2003-03-14 12:05:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2) Gecko/20021202

Description of problem:
We're observing a strange behavior of a server with 3 Ethernet-Interfaces (1
onboard, 2 PCI-Cards eepro100).

On interface eth2 the system replies with its own ip address and the ip address
of eth1 but the mac address of eth2.

eth1 is connected to one loadbalancer (connected via switch) and eth2 is
connected to another loadbalancer (connected via different switch). each
interface has its own ip address. problem: a loadbalancer gets the same mac
address for both different ip adresses. :-/

tcpdump:

16:00:08.715611 arp who-has lnxc-500.srv.domain.de tell prx-vtx-2-b.app.domain.de
16:00:08.715629 arp reply lnxc-500.srv.domain.de is-at 0:2:b3:b8:6c:c9
16:00:14.544623 arp who-has prx-vtx-2-b.app.domain.de tell prx-vtx-1-b.app.domain.de
16:00:14.544743 arp reply prx-vtx-2-b.app.domain.de is-at 0:2:b3:bb:f0:de
16:01:06.164925 arp who-has prx-vtx-2-b.app.domain.de tell prx-vtx-1-b.app.domain.de
16:01:06.165047 arp reply prx-vtx-2-b.app.domain.de is-at 0:2:b3:bb:f0:de
16:01:07.288439 arp who-has lnxc-500.srv.domain.de tell prx-vtx-2-b.app.domain.de
++> 16:01:07.288455 arp reply lnxc-500.srv.domain.de is-at 0:2:b3:b8:6c:c9
16:01:21.999273 arp who-has prx-vtx-1-b.app.domain.de tell x.y.240.161
++> 16:01:21.999304 arp reply prx-vtx-1-b.app.domain.de is-at 0:2:b3:b8:6c:c9

see with ++> marked line

# host lnxc-500.srv.domain.de
lnxc-500.srv.domain.de has address x.y.240.164
# host prx-vtx-1-b.app.domain.de
prx-vtx-1-b.app.domain.de has address x.y.240.165

eth1      Link encap:Ethernet  HWaddr 00:02:B3:BB:ED:43
          inet addr:x.y.240.164  Bcast:x.y.240.175  Mask:255.255.255.240
          UP BROADCAST MULTICAST  MTU:1500  Metric:1

eth2      Link encap:Ethernet  HWaddr 00:02:B3:B8:6C:C9
          inet addr:x.y.240.165  Bcast:x.y.240.175  Mask:255.255.255.240
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1

Is this a known kernel bug?


Version-Release number of selected component (if applicable):
kernel-2.4.18-19.7.x

How reproducible:
Always

Steps to Reproduce:
1. power on switches
2. power on load-balancer
3. power on server


Actual Results:  after some time you see both ip addresses on one mac adresses
(always that of eth2)

Expected Results:  only eth2's ip and mac on eth2 (at least not the ip of eth1)

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:40:39 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.